Loading...
Searching...
No Matches
AES
libavutil » Crypto and Hashing

## Functions

struct AVAES * | av_aes_alloc (void)
| Allocate an AVAES context.
int | av_aes_init (struct AVAES *a, const uint8_t *key, int key_bits, int decrypt)
| Initialize an AVAES context.
void | av_aes_crypt (struct AVAES *a, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.

## Variables

const int | av_aes_size

## Detailed Description

## Function Documentation

## av_aes_alloc()

struct AVAES * av_aes_alloc | ( | void |  | ) |

Allocate an AVAES context.

## av_aes_init()

int av_aes_init | ( | struct AVAES * | a,
|  | const uint8_t * | key,
|  | int | key_bits,
|  | int | decrypt
| ) |  |

Initialize an AVAES context.

Parameters

  a | The AVAES context
  key | Pointer to the key
  key_bits | 128, 192 or 256
  decrypt | 0 for encryption, 1 for decryption

## av_aes_crypt()

void av_aes_crypt | ( | struct AVAES * | a,
|  | uint8_t * | dst,
|  | const uint8_t * | src,
|  | int | count,
|  | uint8_t * | iv,
|  | int | decrypt
| ) |  |

Encrypt or decrypt a buffer using a previously initialized context.

Parameters

  a | The AVAES context
  dst | destination array, can be equal to src
  src | source array, can be equal to dst
  count | number of 16 byte blocks
  iv | initialization vector for CBC mode, if NULL then ECB will be used
  decrypt | 0 for encryption, 1 for decryption

## Variable Documentation

## av_aes_size

const int av_aes_size

extern